summarylogtreecommitdiffstats
path: root/0007-Allow-overriding-CMAKE_FIND_LIBRARY_SUFFIXES-to-pref.patch
diff options
context:
space:
mode:
Diffstat (limited to '0007-Allow-overriding-CMAKE_FIND_LIBRARY_SUFFIXES-to-pref.patch')
-rw-r--r--0007-Allow-overriding-CMAKE_FIND_LIBRARY_SUFFIXES-to-pref.patch12
1 files changed, 6 insertions, 6 deletions
diff --git a/0007-Allow-overriding-CMAKE_FIND_LIBRARY_SUFFIXES-to-pref.patch b/0007-Allow-overriding-CMAKE_FIND_LIBRARY_SUFFIXES-to-pref.patch
index a462075c256..70155e68f7c 100644
--- a/0007-Allow-overriding-CMAKE_FIND_LIBRARY_SUFFIXES-to-pref.patch
+++ b/0007-Allow-overriding-CMAKE_FIND_LIBRARY_SUFFIXES-to-pref.patch
@@ -1,4 +1,4 @@
-From 28e6e716d2a09f40720f3d213e82c1ff6e61a860 Mon Sep 17 00:00:00 2001
+From 77ef8904f307f78613f799ad4b9946e23c7910e3 Mon Sep 17 00:00:00 2001
From: Martchus <martchus@gmx.net>
Date: Sun, 8 Nov 2020 00:34:09 +0100
Subject: [PATCH 7/7] Allow overriding CMAKE_FIND_LIBRARY_SUFFIXES to prefer
@@ -10,12 +10,12 @@ Change-Id: Ic29b64b999ed9b5888a8dc1b0961a76009c5e75c
1 file changed, 5 insertions(+)
diff --git a/cmake/QtBuildInternals/QtBuildInternalsConfig.cmake b/cmake/QtBuildInternals/QtBuildInternalsConfig.cmake
-index bb2de0a0c2..a2e8b37ba7 100644
+index 477f5d21e9..fa394cd895 100644
--- a/cmake/QtBuildInternals/QtBuildInternalsConfig.cmake
+++ b/cmake/QtBuildInternals/QtBuildInternalsConfig.cmake
-@@ -2,6 +2,10 @@ if (CMAKE_VERSION VERSION_LESS 3.1.0)
- message(FATAL_ERROR "Qt requires at least CMake version 3.1.0")
- endif()
+@@ -1,6 +1,10 @@
+ # These values should be kept in sync with those in qtbase/.cmake.conf
+ cmake_minimum_required(VERSION 3.14...3.19)
+if (CMAKE_FIND_LIBRARY_SUFFIXES_OVERRIDE)
+ set(CMAKE_FIND_LIBRARY_SUFFIXES "${CMAKE_FIND_LIBRARY_SUFFIXES_OVERRIDE}")
@@ -33,5 +33,5 @@ index bb2de0a0c2..a2e8b37ba7 100644
qt_enable_cmake_languages()
--
-2.29.2
+2.30.0